Summary: 	GNU libraries and utilities for producing multi-lingual messages.
Name: 		gettext
Version: 	0.17
Release: 	1
License: 	GPL
Group: 		Libraries
Source: 	ftp://ftp.gnu.org/gnu/gettext/%{name}-%{version}.tar.gz
BuildRoot:      %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:	gettext-devel >= 0.17
%define		_sysconfdir	/etc

%description
The GNU gettext package provides a set of tools and documentation for
producing multi-lingual messages in programs.  Tools include a set of
conventions about how programs should be written to support message
catalogs, a directory and file naming organization for the message
catalogs, a runtime library which supports the retrieval of translated
messages, and stand-alone programs for handling the translatable and
the already translated strings.  Gettext provides an easy to use
library and tools for creating, using, and modifying natural language
catalogs and is a powerful and simple method for internationalizing
programs.

%package 	devel
Summary: 	GNU libraries
Group: 		Development

%description 	devel
Include (header) file(s) needed for compiling any source(s) for LINUX.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
libtoolize --copy --force
%configure --enable-shared --with-included-gettext
make

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bin
ln -sf /usr/bin/gettext $RPM_BUILD_ROOT/bin/gettext
chmod 755 $RPM_BUILD_ROOT/usr/lib/libintl.so*
rm -r $RPM_BUILD_ROOT/usr/{info,man}
chmod 755 $RPM_BUILD_ROOT/usr/lib/*.la
rm $RPM_BUILD_ROOT/usr/share/locale/locale.alias
rm $RPM_BUILD_ROOT/usr/include/libintl.h

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/*.so.*
/usr/lib/*.so
/usr/lib/*.la

%files devel
%defattr(-,root,root)
/bin
/usr/bin
/usr/lib/gettext
/usr/lib/*.a
/usr/include
/usr/share
